NX Open C++ Reference Guide
|
Represents a @link Features::Rib Features::Rib@endlink builder <br> To create a new instance of this class, use @link Features::DesignFeatureCollection::CreateRibBuilder Features::DesignFeatureCollection::CreateRibBuilder @endlink <br>
Default values. More...
Public Types | |
enum | RibCapGeometryOptions { RibCapGeometryOptionsFromSection, RibCapGeometryOptionsFromSelected } |
These represent the options for the Rib cap. More... | |
enum | RibDraftOptions { RibDraftOptionsNone, RibDraftOptionsFromCap } |
These represent the options for drafting the Rib. More... | |
enum | RibThicknessOffsetOptions { RibThicknessOffsetOptionsSymmetric, RibThicknessOffsetOptionsAsymmetric } |
These represent the options for Rib Walls Offset. More... | |
enum | RibTypes { RibTypesPerpendiculartoSectionPlane, RibTypesParalleltoSectionPlane } |
These represent the options for Rib type. More... | |
Public Member Functions | |
NXOpen::ScCollector * | CappingFaces () |
Returns the capping datum or faces Created in NX9.0.0. | |
bool | CombineRibWithTarget () |
Returns the combine rib with target flag Created in NX9.0.0. | |
NXOpen::Expression * | DraftAngle () |
Returns the draft angle Created in NX9.0.0. | |
bool | ReverseOffsetDirection () |
Returns the reverse offset direction flag. | |
bool | ReverseRibDirection () |
Returns the reverse rib direction flag. | |
bool | ReverseThicknessDirection () |
Returns the reverse thickness direction flag. | |
NXOpen::Features::RibBuilder::RibCapGeometryOptions | RibCapGeometryOption () |
Returns the rib cap geometry Created in NX9.0.0. | |
NXOpen::Expression * | RibCapOffset () |
Returns the rib cap offset Created in NX9.0.0. | |
NXOpen::Features::RibBuilder::RibDraftOptions | RibDraftOption () |
Returns the rib draft options Created in NX9.0.0. | |
NXOpen::Expression * | RibThickness () |
Returns the rib thickness Created in NX9.0.0. | |
NXOpen::Features::RibBuilder::RibThicknessOffsetOptions | RibThicknessOffsetOption () |
Returns the rib walls offset type Created in NX9.0.0. | |
NXOpen::Features::RibBuilder::RibTypes | RibType () |
Returns the rib type Created in NX9.0.0. | |
NXOpen::Section * | Section () |
Returns the input section Created in NX9.0.0. | |
void | SetCombineRibWithTarget (bool combineRibWithTarget) |
Sets the combine rib with target flag Created in NX9.0.0. | |
void | SetReverseOffsetDirection (bool reverseOffsetDirection) |
Sets the reverse offset direction flag. | |
void | SetReverseRibDirection (bool reverseRibDirection) |
Sets the reverse rib direction flag. | |
void | SetReverseThicknessDirection (bool reverseThicknessDirection) |
Sets the reverse thickness direction flag. | |
void | SetRibCapGeometryOption (NXOpen::Features::RibBuilder::RibCapGeometryOptions ribCapGeometryOption) |
Sets the rib cap geometry Created in NX9.0.0. | |
void | SetRibDraftOption (NXOpen::Features::RibBuilder::RibDraftOptions ribDraftOption) |
Sets the rib draft options Created in NX9.0.0. | |
void | SetRibThicknessOffsetOption (NXOpen::Features::RibBuilder::RibThicknessOffsetOptions ribThicknessOffsetOption) |
Sets the rib walls offset type Created in NX9.0.0. | |
void | SetRibType (NXOpen::Features::RibBuilder::RibTypes ribType) |
Sets the rib type Created in NX9.0.0. | |
NXOpen::ScCollector * | TargetBody () |
Returns the target body Created in NX9.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::Rib Features::Rib@endlink builder <br> To create a new instance of this class, use @link Features::DesignFeatureCollection::CreateRibBuilder Features::DesignFeatureCollection::CreateRibBuilder @endlink <br>
Default values.
Property | Value |
---|---|
CombineRibWithTarget |
1 |
DraftAngle.Value |
1 |
RibCapGeometryOption |
FromSection |
RibCapOffset.Value |
0 (millimeters part), 0 (inches part) |
RibDraftOption |
None |
RibThickness.Value |
2 (millimeters part), 0.1 (inches part) |
RibThicknessOffsetOption | |
RibType |
PerpendiculartoSectionPlane |
Created in NX9.0.0.
These represent the options for the Rib cap.
NXOpen::ScCollector* NXOpen::Features::RibBuilder::CappingFaces | ( | ) |
Returns the capping datum or faces
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::RibBuilder::CombineRibWithTarget | ( | ) |
Returns the combine rib with target flag
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::RibBuilder::DraftAngle | ( | ) |
Returns the draft angle
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::RibBuilder::ReverseOffsetDirection | ( | ) |
bool NXOpen::Features::RibBuilder::ReverseRibDirection | ( | ) |
Returns the reverse rib direction flag.
Indicates whether the Rib direction has been flipped from its initial inferred direction
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::RibBuilder::ReverseThicknessDirection | ( | ) |
Returns the reverse thickness direction flag.
Indicates whether the Thickness direction has been flipped from its initial inferred direction
Created in NX9.0.0.
License requirements : None
NXOpen::Features::RibBuilder::RibCapGeometryOptions NXOpen::Features::RibBuilder::RibCapGeometryOption | ( | ) |
Returns the rib cap geometry
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::RibBuilder::RibCapOffset | ( | ) |
Returns the rib cap offset
Created in NX9.0.0.
License requirements : None
NXOpen::Features::RibBuilder::RibDraftOptions NXOpen::Features::RibBuilder::RibDraftOption | ( | ) |
Returns the rib draft options
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::RibBuilder::RibThickness | ( | ) |
Returns the rib thickness
Created in NX9.0.0.
License requirements : None
NXOpen::Features::RibBuilder::RibThicknessOffsetOptions NXOpen::Features::RibBuilder::RibThicknessOffsetOption | ( | ) |
Returns the rib walls offset type
Created in NX9.0.0.
License requirements : None
NXOpen::Features::RibBuilder::RibTypes NXOpen::Features::RibBuilder::RibType | ( | ) |
Returns the rib type
Created in NX9.0.0.
License requirements : None
NXOpen::Section* NXOpen::Features::RibBuilder::Section | ( | ) |
Returns the input section
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::RibBuilder::SetCombineRibWithTarget | ( | bool | combineRibWithTarget | ) |
Sets the combine rib with target flag
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
combineRibWithTarget | combineribwithtarget |
void NXOpen::Features::RibBuilder::SetReverseOffsetDirection | ( | bool | reverseOffsetDirection | ) |
void NXOpen::Features::RibBuilder::SetReverseRibDirection | ( | bool | reverseRibDirection | ) |
Sets the reverse rib direction flag.
Indicates whether the Rib direction has been flipped from its initial inferred direction
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reverseRibDirection | reverseribdirection |
void NXOpen::Features::RibBuilder::SetReverseThicknessDirection | ( | bool | reverseThicknessDirection | ) |
Sets the reverse thickness direction flag.
Indicates whether the Thickness direction has been flipped from its initial inferred direction
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
reverseThicknessDirection | reversethicknessdirection |
void NXOpen::Features::RibBuilder::SetRibCapGeometryOption | ( | NXOpen::Features::RibBuilder::RibCapGeometryOptions | ribCapGeometryOption | ) |
Sets the rib cap geometry
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
ribCapGeometryOption | ribcapgeometryoption |
void NXOpen::Features::RibBuilder::SetRibDraftOption | ( | NXOpen::Features::RibBuilder::RibDraftOptions | ribDraftOption | ) |
Sets the rib draft options
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
ribDraftOption | ribdraftoption |
void NXOpen::Features::RibBuilder::SetRibThicknessOffsetOption | ( | NXOpen::Features::RibBuilder::RibThicknessOffsetOptions | ribThicknessOffsetOption | ) |
Sets the rib walls offset type
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
ribThicknessOffsetOption | ribthicknessoffsetoption |
void NXOpen::Features::RibBuilder::SetRibType | ( | NXOpen::Features::RibBuilder::RibTypes | ribType | ) |
Sets the rib type
Created in NX9.0.0.
License requirements : solid_modeling ("SOLIDS MODELING")
ribType | ribtype |
NXOpen::ScCollector* NXOpen::Features::RibBuilder::TargetBody | ( | ) |
Returns the target body
Created in NX9.0.0.
License requirements : None